当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助!!
帖子发表于 : 2007-09-25 12:21 

注册: 2007-09-21 7:29
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
高手们,不知道为什么我装7。04的时候总是启动不到图形界面的!但是装6。06就可以。。。。
有没有人可以告诉我什么回事???谢谢


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-09-25 16:35 
头像

注册: 2007-09-07 20:07
帖子: 191
地址: 江苏 苏州
送出感谢: 0 次
接收感谢: 0 次
楼主最好说详细点。。。。

估计是显卡驱动的问题,在终端升级一下驱动应该就好了


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-09-26 13:17 

注册: 2007-09-21 7:29
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
就是安装的时候。。。没有进入到UBUNTU的界面!!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-09-27 22:34 

注册: 2007-09-21 7:29
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install fcitx im-swith&&im-swith -s fcitx

sudo apt-get remove scim*&&sudo apt-get install fcitx im-swith&&im-swith -s fcitx


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-10-03 13:38 

注册: 2007-09-21 7:29
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
首先知道出问题后如何进入X
进入不了X的话,在启动时选择第二行的命令模式,输入
sudo dpkg--reconfigure xserver-xorg
在弹出窗口选择默认的显卡V...就可以,其它的不停确定。

先下载ATI的驱动
地址:https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-8.40.4-x86.x86_64.run
下载到桌面,然后把它改名,把-X86.X86_64去掉,改为ati-driver-installer-8.40.4.run

安装编译所必须的工具 代码:

sudo apt-get update
sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-$(uname -r)

创建deb包
注意:执行下面的命令的前提是,你必须cd到你下载的驱动的当前目录。终端在主菜单的附件子菜单。

Edgy: 代码:
sh *.run --buildpkg Ubuntu/edgy

Feisty: 代码:
sh *.run --buildpkg Ubuntu/feisty
等待桌面生成4个DEB包,先不要管他们。

屏蔽fglrx核心模块
代码:
sudo gedit /etc/default/linux-restricted-modules-common
将 代码:
DISABLED_MODULES=""
改成 代码:
DISABLED_MODULES="fglrx"

安装deb包 代码:
sudo dpkg -i xorg-driver-fglrx_*.deb fglrx-kernel-source*.deb fglrx-amdcccle*.deb

移除旧的fglrx
如果你是第一次做,那么会提示你这个文件找不到。别管他,继续往下做就是。 代码:
sudo rm /usr/src/fglrx-kernel*.deb
sudo apt-get -f install

编译内核模块并安装 代码:
sudo module-assistant prepare
sudo module-assistant update
sudo module-assistant build fglrx
cd /usr/src
sudo dpkg -i fglrx-kernel-*
sudo depmod -a
防止有些DEB包没装好,你可以打开桌面的包,尝试安装,证全部到安装好。

重启电脑!!


重启后,配置驱动
注意,如果以前装过fglrx驱动,此步无须再做。 代码:
sudo dpkg-reconfigure xserver-xorg
在选择驱动时,选择fglrx。

然后
sudo gedit /etc/X11/xorg.conf
在/etc/X11/xorg.conf的Device段添加两行: 代码:
Option "VideoOverlay" "on"
Option "OpenGLOverlay" "off"

并且 在末尾
添加两段 代码:
Section "Extensions"
Option "Composite" "0"
EndSection

Section "ServerFlags"
Option "AIGLX" "off"
EndSection
上面这两段很重要!(在7.04中,如果你用了sudo dpkg-reconfigure来配置的话,第一段应该已经有了)

再输入
sudo mkdir -p /usr/X11R6/lib/modules/dri
sudo ln -s /usr/lib/dri/fglrx_dri.so /usr/X11R6/lib/modules/dri

重启系统

确认驱动是否正确安装 代码:
$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI MOBILITY RADEON X600 SE
OpenGL version string: 2.0.6849 Release

代码:
$ glxinfo | grep render
direct rendering: Yes #如果开启了xgl,那么这里一定是No,还有其他一些信息。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译